.reg{
    margin-top: 94px;
    margin-bottom: 65px;
    position: relative;
    &__inner{
        display: flex;
        position: relative;
        z-index: 2;
    }
    &__background{
        position: absolute;
        @include TRa(0px, 83px);
        &.dark{
            display: none;
        }
    }
    &__left{
        margin-right: 150px;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 56px;
        &-line{
            display: flex;
            align-items: center;
            margin-top: 16px;
            justify-content: space-between;
            position: relative;
            svg{
                position: absolute;
                @include TRa(0px, -23px);
                @include verCenterAbsol;
                display: none;
            }
        }
        &-box{
            display: flex;
            flex-direction: column;
            align-items: center;
            position: relative;
            &:not(:last-of-type){
                margin-bottom: 50px;
            }
            &.active{
                .reg__left-box--num{
                    color: white;
                    background: $orange;
                    border-color: $orange;
                }
                svg{
                    display: block;
                }
            }
            &--num{
                @include box(68px, 50%);
                border: 1px solid #cbcbcb;
                display: flex;
                @include flexCenter;
                @include font(32px, 'GothamPro', #cbcbcb, normal, 500);
                @include transition;
                padding-top: 6px;
            }
            &--text{
                @include font(17px, 'GothamPro', var(--reg-numText), 16px);
            }
        }
    }

    &__right{
        &-page{
            display: none;
            flex-direction: column;
            &.mt{
                margin-top: 60px;
            }
            &.active{
                display: flex;
            }
        }

        &-email{
            @include font(16px, 'GothamPro', $orange, 16px);
            margin-bottom: 41px;
            margin-top: 40px;
        }

        &-title{
            @include font(32px, 'Montserrat', var(--reg-title), 37px, 500);
            margin-bottom: 22px;
            &.bigMb{
                margin-bottom: 25px;
                margin-top: 56px;
            }
        }

        &-thanks{
            @include font(16px, 'GothamPro', #7c7c7c, 18px);
        }

        &-desc{
            @include font(16px, 'GothamPro', #7c7c7c, 15px);
            margin-bottom: 25px;
        }

        a{
            display: block;
        }
    }

    &__choiceType{
        display: flex;
        margin-bottom: 26px;
        label{
            margin-right: 11px;
        }
        &-img{
            width: 100%;
            height: 100%;
            object-fit: fill;
        }
        input{
            display: none;
        }
        input + div{
            border: 2px solid white;
        }
        input:checked + div{
            border: 2px solid black;
        }
        &-choice{
            padding: 5px;
            position: relative;
            cursor: pointer;
            width: 227px;
            height: 338px;
        }
        &-effect{
            position: absolute;
            @include BLa();
            margin: 0px 5px 5px;
            width: 95%;
            height: 25%;
            background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%);
        }
        &-text{
            position: absolute;
            @include BLa(14px, 0);
            @include font(20px, '', white, 23px);
            text-align: center;
            width: 100%;
        }
    }

    &__haveAcc{
        display: block;
        margin-top: 25px;
        @include font(16px, 'Montserrat', #7c7c7c, 20px, 500);
        span{
            color: $orange;
        }
    }

    &__input{
        width: 582px;
        padding: 15px 0;
        border-bottom: 1px solid var(--input-hrS);
        @include font(16px, 'GothamPro', var(--input-color-color), 16px);
        &::placeholder{
            @include font(16px, 'GothamPro', var(--input-placeholder-color), 16px);
        }
        &-wrapper{
            display: flex;
            align-items: flex-start;
            margin-bottom: 20px;
            position: relative;
            &:last-of-type{
                margin-bottom: 30px;
            }
            &.showError{
                .reg__input-error{
                    opacity: 1;
                }
            }
            .success{
                opacity: 0;
            }
            .error{
                display: none;
                margin-top: 2px;
            }
            &.error{
                .error{
                    opacity: 1;
                    display: block;
                }
                .success{
                    display: none;
                }
                .reg__input-error{
                    opacity: 1;
                }
            }
            &.success{
                .success{
                    opacity: 1;
                }
                .error{
                    display: none;
                }
            }
        }
        &-left{
            margin-top: 15px;
            margin-right: 19px;
            position: absolute;
            @include TLa(0, -30px);
        }
        &-error{
            margin-top: 4px;
            @include font(10px, 'Montserrat', $orange, 15px);
            opacity: 0;
        }
    }

    &__success{
        margin-bottom: 45px;
        @include font(12px, 'Montserrat', var(--lang-color), 18px);
        a{
            color: $orange;
            display: inline;
        }
    }

    &__but{
        width: 217px;
        padding: 17px 0;
        font-family: 'GothamPro';
        font-weight: 500;
        &.bigMt{
            margin-top: 129px;
            width: 273px;
        }
    }
}

a.reg__but{
    display: flex;
    justify-content: center;
    align-items: center;
}

.dark{
    .reg__background{
        display: none;
        &.dark{
            display: block;
        }
    }
}